# 管理

予約共有システムとしての操作はブラウザから行う。

## toShare.exeと同じPCで作業する場合

toShare.exeを<kbd>Start</kbd>(Web/Restサーバー起動)状態にする。
 - <kbd>Registry</kbd>押下するとブラウザ起動しページ「管理」(管理ページ)が開く。
 - <kbd>Browser</kbd>押下するとブラウザ起動しページ「(サーバー名)」(運用ページ)が開く。

この時のブラウザはローカルホストアクセス(127.0.0.1)となる。

## 別PCから作業する場合

toShare.exeを<kbd>Start</kbd>(Web/Restサーバー起動)状態にする。

### 管理ページ

別PCのブラウザで<samp>`http://`<samp>IP Address</samp>`:`<samp>PortNo</samp>`<samp>/registry/</samp>`を指定する。  
PortNo.80の場合はPortNo.省略可能。

例)
IP Address |PortNo.| URL
-----------|-------|:--------
 192.0.2.0 | 8080  | http://192.0.2.0:8080/registry/
 192.0.2.1 | 80    | http://192.0.2.1/registry/

### 運用ページ
別PCのブラウザで<samp>`http://`<samp>IP Address</samp>`:`<samp>PortNo</samp></samp>を指定する。  
PortNo.80の場合はPortNo.省略可能。

例)
IP Address |PortNo.| URL
-----------|-------|:--------
 192.0.2.0 | 8080  | http://192.0.2.0:8080/
 192.0.2.1 | 80    | http://192.0.2.1/

<div style="break-before:page" />

## サインイン / サインアウト

初めてブラウザからアクセスする場合、サインインを求められるのでアカウントを入力する。  
初めてtoShareを使用する場合は`superadmin`。ただし、superadmin の常用は非推奨。  
使用者設定(User)でアカウントを追加し使用することを推奨(superadminは削除しても良い)。

サインインすると、右上に使用中アカウント情報を表示している。  
その下にサインアウトのリンクがある。アカウントを切り替える場合にサインアウトする。  
同じアカウントで使い続ける場合はサインアウトしなくとも良い。



## 管理ページ

管理からは下記設定が行える。
 - 基本設定
    - `使用者設定 (User)`
    - `環境設定 (Configuration)`
 - 予約共有
    - `予約設定 (ReservationTables)`
    - `休日設定 (Calendar)`
 - 所在共有
    - `掲示設定 (Inoutboards)`
    - `所在設定 (Whereabouts)`
    - `サーバー連携 (CoHosts)`

各ページの左上に現在位置を表示している。
各位置はリンクになっており、クリックする事で遷移できる。
また、ブラウザバック(Egdeならば<kbd><kbd>Alt</kbd>+<kbd>←</kbd></kbd>)で戻っても良いが、更新すること。

<div style="break-before:page" />


## 環境設定(Configration)

toShareのカスタマイズを行う。

 - サーバー名設定
 - 色の選択
 - サインインの仮文
 - 予約共有
 - 所在共有

### サーバー名設定

トップページおよび各ページ左上に表示するサーバー名を設定する。  
初期値は `<samp>index</samp>`。

### 色の選択

色合いを選択。

 - styleBlue
 - styleBrown
 - styleDMS
 - styleGreen
 - styleInv
 - stylePatchouli
 - style …※StyleGreenと同じ  
初期値は `<samp>styleGreen</samp>`。

### サインイン時サンプル文字

アカウント入力エディットボックスに表示する仮文を設定。  
例えばアカウントIDに社員番号を使用する場合、
仮文を `社員番号` にすると分かり易いかも知れません。  
初期値は `<samp>アカウントID</samp>`。

### 予約共有

共有物の予約機能を使用するかどうか選択。

### 所在共有

出退勤・行き先 の掲示機能を使用するかどうか選択。

<div style="break-before:page" />

## 使用者設定(User)

### 新規追加

<kbd>＋新規追加</kbd>押下でアカウント登録ウィンドウが開く。
要素       |要否|備考
-----------|----|----------
アカウント |必須|英数字推奨
名前       |必須|フルネーム
備考       |任意|所属などのメモ(ページ右上に表示)
系列       |任意|系列名などのメモ(内部メモ。一般とか異動とか退職とか)

<kbd>＋追加</kbd>で使用者設定のリストに追加される。

### 編集 (修正、削除)

使用者設定のリストをクリックするとアカウント編集ウィンドウが開く。  
編集ウィンドウでは各項目と表示/非表示の修正、アカウント削除が行える。

既に予約など使用したアカウントは削除できない。  
既に予約など使用したアカウントは削除の代わりに非表示を使用する。

### 並び替え

リスト右端の■で行選択できる。
リスト右上のボタンで項目上下移動する。
選択状態で先頭行を再度選択すると、選択解除する。
複数行選択は先頭行と末尾行を選択する。
一度に255行まで操作可能。

<div style="break-before:page" />

## 予約設定(ReservationTables)

### 新規追加

<kbd>＋新規追加</kbd>押下で予約設定登録ウィンドウが開く。
要素      |要否    |備考
----------|--------|------------
名前      |必須    |
単位      |必須    |表示方法の選択。後述。
単位custom|非推奨  |表示方法(custom)選択時のhtml名。
備考      |設定推奨|予約理由入力エリアに薄く表示。`案件名、作業名、目的など`のように設定する。
アイテム  |設定推奨|予約対象の総称。例えば車の予約を行う場合は`車両`のように設定する。
一括予約  |選択    |複数アイテムを一度に予約操作する場合に設定する。


<kbd>＋追加</kbd>で予約設定のリストに追加される。

### 単位

想定する予約期間で選択する。予約状態表示方法に影響する。
単位       | 想定
-----------|---------------
 日時      |時間単位の予約、数時間～数日を想定。
 日(数日間)|日単位の予約。数日間～数週間を想定。
 日(数週間)|日単位の予約。数週間～数ヶ月を想定。
 (custom)  |htmlやJavaScript等を自作する場合に使用。非推奨。


### 編集 (修正、削除)

予約設定のリストをクリックすると予約設定編集ウィンドウが開く。  
各項目と表示/非表示の修正、予約設定の削除が行える。

既にアイテムを設定した予約設定は削除できない。  
既にアイテムを設定した予約設定は削除の代わりに非表示を使用する。

### 並び替え

リスト右端の■で行選択できる。
リスト右上のボタンで項目上下移動する。
選択状態で先頭行を再度選択すると、選択解除する。
複数行選択は先頭行と末尾行を選択する。
一度に255行まで操作可能。

<div style="break-before:page" />

## アイテム設定

予約設定(ReservationTables)の予約設定リストで、
`(編集)アイテム`リンクをクリックすると遷移する。

### 新規追加

<kbd>＋新規追加</kbd>押下でアイテム登録ウィンドウが開く。
要素 |要否 |備考
-----|-----|---------
名前 |必須 |簡潔に(予約状態リスト左列は10文字程表示)
備考 |任意 |正確に(ポップアップ表示)

<kbd>＋追加</kbd>でアイテムのリストに追加される。

### 編集 (修正、削除)

アイテムのリストをクリックするとアイテム編集ウィンドウが開く。  
各項目と表示/非表示の修正、アイテムの削除が行える。

既に予約を設定したアイテムは削除できない。  
既に予約を設定したアイテムは削除の代わりに非表示を使用する。

### 並び替え

リスト右端の■で行選択できる。
リスト右上のボタンで項目上下移動する。
選択状態で先頭行を再度選択すると、選択解除する。
複数行選択は先頭行と末尾行を選択する。
一度に255行まで操作可能。


<div style="break-before:page" />


## 休日設定(Calendar)

現状、日曜を決め打ちで法定休日としている。  
また、土曜を初期の所定休日としている。  
平日(所定勤務)と所定休日は日付をクリックする事で反転する。
日曜(法定休日)もクリックで平日(所定勤務)に反転する。

<kbd>変更反映</kbd>押下でデータベースに反映する。


<div style="break-before:page" />

## 掲示設定 (Inoutboards)

### 新規追加

<kbd>＋新規追加</kbd>押下で掲示名登録ウィンドウが開く。
掲示名を入力し、<kbd>＋追加</kbd>で掲示設定のリストに追加される。

### 編集 (修正、削除)

掲示設定のリストをクリックすると掲示名編集ウィンドウが開く。  
掲示名と表示/非表示の修正、掲示名の削除が行える。

既に構成員を設定した掲示名は削除できない。  
既に構成員を設定した掲示名は削除の代わりに非表示を使用する。

### 並び替え

リスト右端の■で行選択できる。
リスト右上のボタンで項目上下移動する。
選択状態で先頭行を再度選択すると、選択解除する。
複数行選択は先頭行と末尾行を選択する。
一度に255行まで操作可能。




## 構成員設定

掲示設定(Inoutboards)の掲示設定リストで、
`(編集)構成員`リンクをクリックすると遷移する。

### 新規追加

<kbd>＋新規追加</kbd>押下で有効なユーザーの一覧ウィンドウが開く。  
すでに構成員となっているユーザーは淡色表示となる。
追加するユーザーを複数選択し、
<kbd>＋追加</kbd>で構成員のリストに追加される。

### 編集 (削除)

構成員のリストをクリックするとユーザーウィンドウが開く。  
削除が行える。



## 所在設定 (Whereabouts)

構成員は行き先の先文字列を編集するが、その際に雛形を選択できる。
ここでは行き先編集のための雛形を登録する。

### 新規追加

<kbd>＋新規追加</kbd>押下で所在名登録ウィンドウが開く。
所在名を入力し、<kbd>＋追加</kbd>で所在設定のリストに追加される。

### 編集 (修正、削除)

所在設定のリストをクリックすると所在名編集ウィンドウが開く。  
所在名と表示/非表示の修正、所在名の削除が行える。

### 並び替え

リスト右端の■で行選択できる。
リスト右上のボタンで項目上下移動する。
選択状態で先頭行を再度選択すると、選択解除する。
複数行選択は先頭行と末尾行を選択する。
一度に255行まで操作可能。


<div style="break-before:page" />

## サーバー連携 (CoHosts)

toShare同士で互いにサーバー連携を設定すると、相手の所在共有を表示出来る。

### 新規追加

<kbd>＋新規追加</kbd>押下でサーバー登録ウィンドウが開く。
要素                 |要否 |備考
---------------------|-----|---------
表示名               |必須 |相手サーバーと分かるように。
ホスト名かIPアドレス |必須 |基本的に相手IP address。
ポートNo             |必須 |相手ポートNo。

<kbd>＋追加</kbd>でサーバー連携のリストに追加される。

### 編集 (修正、削除)

サーバー連携のリストをクリックするとサーバー編集ウィンドウが開く。  
編集ウィンドウでは各項目の修正、サーバー削除が行える。


### 並び替え

リスト右端の■で行選択できる。
リスト右上のボタンで項目上下移動する。
選択状態で先頭行を再度選択すると、選択解除する。
複数行選択は先頭行と末尾行を選択する。
一度に255行まで操作可能。
